
package cz.moneta.test.dsl.cebia.iva;

import java.math.BigDecimal;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for WSEngineType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="WSEngineType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Type" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="TypeID" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="CodeOM" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="CapacityCcm" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/&gt;
 *         &lt;element name="CapacityLiters" type="{http://www.w3.org/2001/XMLSchema}decimal" minOccurs="0"/&gt;
 *         &lt;element name="PowerKW" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/&gt;
 *         &lt;element name="FuelType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="FuelTypeID" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="FuelCity" type="{http://www.w3.org/2001/XMLSchema}decimal" minOccurs="0"/&gt;
 *         &lt;element name="FuelCountry" type="{http://www.w3.org/2001/XMLSchema}decimal" minOccurs="0"/&gt;
 *         &lt;element name="FuelMix" type="{http://www.w3.org/2001/XMLSchema}decimal" minOccurs="0"/&gt;
 *         &lt;element name="CylindersCount" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "WSEngineType", propOrder = {
    "type",
    "typeID",
    "codeOM",
    "capacityCcm",
    "capacityLiters",
    "powerKW",
    "fuelType",
    "fuelTypeID",
    "fuelCity",
    "fuelCountry",
    "fuelMix",
    "cylindersCount"
})
public class WSEngineType {

    @XmlElement(name = "Type", nillable = true)
    protected String type;
    @XmlElement(name = "TypeID", nillable = true)
    protected String typeID;
    @XmlElement(name = "CodeOM", nillable = true)
    protected String codeOM;
    @XmlElement(name = "CapacityCcm", nillable = true)
    protected Integer capacityCcm;
    @XmlElement(name = "CapacityLiters", nillable = true)
    protected BigDecimal capacityLiters;
    @XmlElement(name = "PowerKW", nillable = true)
    protected Integer powerKW;
    @XmlElement(name = "FuelType", nillable = true)
    protected String fuelType;
    @XmlElement(name = "FuelTypeID", nillable = true)
    protected String fuelTypeID;
    @XmlElement(name = "FuelCity", nillable = true)
    protected BigDecimal fuelCity;
    @XmlElement(name = "FuelCountry", nillable = true)
    protected BigDecimal fuelCountry;
    @XmlElement(name = "FuelMix", nillable = true)
    protected BigDecimal fuelMix;
    @XmlElement(name = "CylindersCount", nillable = true)
    protected Integer cylindersCount;

    /**
     * Gets the value of the type property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getType() {
        return type;
    }

    /**
     * Sets the value of the type property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setType(String value) {
        this.type = value;
    }

    /**
     * Gets the value of the typeID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTypeID() {
        return typeID;
    }

    /**
     * Sets the value of the typeID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTypeID(String value) {
        this.typeID = value;
    }

    /**
     * Gets the value of the codeOM property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCodeOM() {
        return codeOM;
    }

    /**
     * Sets the value of the codeOM property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCodeOM(String value) {
        this.codeOM = value;
    }

    /**
     * Gets the value of the capacityCcm property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getCapacityCcm() {
        return capacityCcm;
    }

    /**
     * Sets the value of the capacityCcm property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setCapacityCcm(Integer value) {
        this.capacityCcm = value;
    }

    /**
     * Gets the value of the capacityLiters property.
     * 
     * @return
     *     possible object is
     *     {@link BigDecimal }
     *     
     */
    public BigDecimal getCapacityLiters() {
        return capacityLiters;
    }

    /**
     * Sets the value of the capacityLiters property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigDecimal }
     *     
     */
    public void setCapacityLiters(BigDecimal value) {
        this.capacityLiters = value;
    }

    /**
     * Gets the value of the powerKW property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getPowerKW() {
        return powerKW;
    }

    /**
     * Sets the value of the powerKW property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setPowerKW(Integer value) {
        this.powerKW = value;
    }

    /**
     * Gets the value of the fuelType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFuelType() {
        return fuelType;
    }

    /**
     * Sets the value of the fuelType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFuelType(String value) {
        this.fuelType = value;
    }

    /**
     * Gets the value of the fuelTypeID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFuelTypeID() {
        return fuelTypeID;
    }

    /**
     * Sets the value of the fuelTypeID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFuelTypeID(String value) {
        this.fuelTypeID = value;
    }

    /**
     * Gets the value of the fuelCity property.
     * 
     * @return
     *     possible object is
     *     {@link BigDecimal }
     *     
     */
    public BigDecimal getFuelCity() {
        return fuelCity;
    }

    /**
     * Sets the value of the fuelCity property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigDecimal }
     *     
     */
    public void setFuelCity(BigDecimal value) {
        this.fuelCity = value;
    }

    /**
     * Gets the value of the fuelCountry property.
     * 
     * @return
     *     possible object is
     *     {@link BigDecimal }
     *     
     */
    public BigDecimal getFuelCountry() {
        return fuelCountry;
    }

    /**
     * Sets the value of the fuelCountry property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigDecimal }
     *     
     */
    public void setFuelCountry(BigDecimal value) {
        this.fuelCountry = value;
    }

    /**
     * Gets the value of the fuelMix property.
     * 
     * @return
     *     possible object is
     *     {@link BigDecimal }
     *     
     */
    public BigDecimal getFuelMix() {
        return fuelMix;
    }

    /**
     * Sets the value of the fuelMix property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigDecimal }
     *     
     */
    public void setFuelMix(BigDecimal value) {
        this.fuelMix = value;
    }

    /**
     * Gets the value of the cylindersCount property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getCylindersCount() {
        return cylindersCount;
    }

    /**
     * Sets the value of the cylindersCount property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setCylindersCount(Integer value) {
        this.cylindersCount = value;
    }

    public WSEngineType withType(String value) {
        setType(value);
        return this;
    }

    public WSEngineType withTypeID(String value) {
        setTypeID(value);
        return this;
    }

    public WSEngineType withCodeOM(String value) {
        setCodeOM(value);
        return this;
    }

    public WSEngineType withCapacityCcm(Integer value) {
        setCapacityCcm(value);
        return this;
    }

    public WSEngineType withCapacityLiters(BigDecimal value) {
        setCapacityLiters(value);
        return this;
    }

    public WSEngineType withPowerKW(Integer value) {
        setPowerKW(value);
        return this;
    }

    public WSEngineType withFuelType(String value) {
        setFuelType(value);
        return this;
    }

    public WSEngineType withFuelTypeID(String value) {
        setFuelTypeID(value);
        return this;
    }

    public WSEngineType withFuelCity(BigDecimal value) {
        setFuelCity(value);
        return this;
    }

    public WSEngineType withFuelCountry(BigDecimal value) {
        setFuelCountry(value);
        return this;
    }

    public WSEngineType withFuelMix(BigDecimal value) {
        setFuelMix(value);
        return this;
    }

    public WSEngineType withCylindersCount(Integer value) {
        setCylindersCount(value);
        return this;
    }

}
